package VM2;

public interface Camera
{
	public static byte TYPE_SOCKET = 1, TYPE_LOCAL = 2, TYPE_USB = 3;
	
	public void start();
	public void stop();
	public void dispose();
	
	public byte getType();
	public int getFrameSize();
	public int getLineSize();
	
	public byte[] getNextFrame();
	public byte[] getCurrentFrame();
}
