package VM2;

public class LocalCam implements Camera
{
	private byte[] buffer;
	private int myFrameSize = 144; 
	private int myLineSize = 176;

	public LocalCam()
	{
		buffer = new byte[myLineSize * myFrameSize * 3];	
	}
	
	public void start()
	{
	}
	
	public void stop()
	{
	}
	
	public void dispose()
	{
	}
	
	public byte[] getNextFrame()
	{
		for(int i = 0; i < buffer.length; i++){
			buffer[i] = (byte) (Math.random() * 255);
		}
		
		return buffer;
	}
	
	public byte[] getCurrentFrame()
	{
		return buffer;
	}
	
	public byte getType() {return Camera.TYPE_LOCAL;}
	
	public int getFrameSize() {return myFrameSize;}

	public int getLineSize() {return myLineSize;}
}
