package VM2;

/*
 * @author Derk Crezee & Daan van Schuppen (UVA)
 * 
 * The motion class represents a motion in a sensor grid
 */

public class motion
{
	// direction of the motion
	// 		0 --> LEFT \ UP
	//		1 --> RIGHT \ DOWN
	public int direction;
	// 
	public int sensorFrom;
	public int sensorTo;
	public int size;
	public String name;
	
	/*
	* - direction: direction of the motion
	* 		0 --> LEFT \ UP
	*		1 --> RIGHT \ DOWN
	* - sensorFrom: the sensor in the sensor grid at which the motion ends
	* - sensorTo: the sensor number in the sensor grid at which the motion starts
	* - name: the name of the motion
	* - size: the size of the motion
	*/
	public motion(int direction, int sensorFrom,int sensorTo, String name, int size) {
		this.direction = direction;
		this.sensorFrom = sensorFrom;
		this.sensorTo = sensorTo;
		this.name = name;
		this.size = size;
	}
	/*
	 * show: show the properties of this motion
	 */
	public void show() {
		if (direction==0) {
			System.out.println("Motion: " + this.name + " From: " + this.sensorFrom + " To: " + this.sensorTo + " Direction: LEFT or UP" + " Size: " + size);
		} else {
			System.out.println("Motion: " + this.name + " From: " + this.sensorFrom + " To: " + this.sensorTo + " Direction: RIGHT or DOWN" + " Size: " + size);
		}
		
	}
	/*
	 * getDirection: returns the direction of the motion
	 * 	 		0 --> LEFT \ UP
     *			1 --> RIGHT \ DOWN
	 */
	public int getDirection() {
		return this.direction;
	}
	
	
}